<?php

add_action("after_setup_theme", "elegantwhite_theme_setup");

function elegantwhite_theme_setup() {
add_theme_support( 'automatic-feed-links' );
load_theme_textdomain( 'elegantwhite', get_template_directory() . '/languages' );
wp_enqueue_script( 'comment-reply' );
if ( ! isset( $content_width ) ) $content_width = 700;

// Header Image

add_theme_support( 'custom-header', $elegantwhite_headeroptions );

$elegantwhite_headeroptions = array(
    'header-text'   => false,
    'default-image' => get_template_directory_uri() . '/img/head.JPG',
    'random-default' => false,
	'uploads'       => true,
	'height'        => 400,
	'width'         => 1110,
);

  $elegantwhite_customHeaders = array (
                'Clouds' => array (
                'url' => '%s/img/head.JPG',
                'thumbnail_url' => '%s/img/head_thumbnail.png',
                'description' => __( 'Clouds', 'elegantWhite' )
            ),
            
                'Blue Sky' => array (
                'url' => '%s/img/clouds.jpg',
                'thumbnail_url' => '%s/img/clouds_thumbnail.png',
                'description' => __( 'Blue Sky', 'elegantWhite' )
            ),
            
                'Baltic Sea' => array (
                'url' => '%s/img/baltic.jpg',
                'thumbnail_url' => '%s/img/baltic_thumbnail.png',
                'description' => __( 'Baltic Sea', 'elegantWhite' )
            ),

        );
        
register_default_headers($elegantwhite_customHeaders);

// Custom Menus
    register_nav_menus(array(
        'header-nav' => 'Header Menu',
        'footer-nav' => 'Footer Menu',
    ));

// Sidebar

register_sidebar(array(
'name' => __('Sidebar', 'elegantwhite'),
'before_widget' => '<div id="sidebar-widget">',
'after_widget' => '</div>',
'before_title' => '<div class="sidebar-heading">',
'after_title' => '</div></p>',
));

}

// IE Options

locate_template( array( '/inc/ie.php' ), true );


// Custom Password Form

add_filter( 'the_password_form', 'elegantwhite_password_form' );
locate_template( array( '/inc/password-form.php' ), true );

// Footer elegantwhite 

function elegantwhite_footer_text() {
$ew_text = 'Theme: elegantWhite by <a href="http://fimply.de">Fimply</a>';
echo $ew_text;
}

// Output Date of an Article

function elegantwhite_get_date() {

$date_format = get_option( 'date_format' );
the_time($date_format);

}

// wp_title filter

add_filter( 'wp_title', 'elegantwhite_filter_wp_title' );

function elegantwhite_filter_wp_title( $title ) {
 $elegantwhite_site_name = get_bloginfo( 'name' );
 $elegantwhite_filtered_title = $elegantwhite_site_name . $title;
 return $elegantwhite_filtered_title;
}     
        
// Filter for Untitled Articles
        
add_filter('the_title', 'elegantwhite_title');

function elegantwhite_title($title) {
	if ( $title == '' ) {
		return __( 'Untitled', 'elegantwhite');
	} else {
		return $title;
	}
}
        

// Stylesheets

function elegantwhite_style() {
 wp_register_style('elegantwhite_style', get_stylesheet_uri(), array(), 1.1, 'all'); 
 wp_enqueue_style('elegantwhite_style');	 
}

add_action('wp_enqueue_scripts', 'elegantwhite_style');

function elegantwhite_style_font_open() {
 wp_register_style('elegantwhite_style', 'http://fonts.googleapis.com/css?family=Open+Sans', array(), 1.0, 'all'); 
 wp_enqueue_style('elegantwhite_style');	 
}
add_action('wp_enqueue_scripts', 'elegantwhite_style_font_open');

function elegantwhite_style_font_oswald() {
 wp_register_style('elegantwhite_style', 'http://fonts.googleapis.com/css?family=Oswald', array(), 1.0, 'all'); 
 wp_enqueue_style('elegantwhite_style');	 
}
add_action('wp_enqueue_scripts', 'elegantwhite_style_font_oswald');


// Admin Styles

function elegantwhite_admin_enqueue() {
   wp_enqueue_style( 'admin_style', get_template_directory_uri() . '/css/options.css', array(), null, 'all' );
}
add_action( 'admin_enqueue_scripts', 'elegantwhite_admin_enqueue' );




// Fields

function elegantwhite_fields($elegantwhite_fields) {
  locate_template( array( '/inc/comments-form.php' ), true );
 return $elegantwhite_fields;
}

add_filter('comment_form_default_fields','elegantwhite_fields');


// Comment Form

add_action('elegantwhite_comment_section', 'elegantwhite_comment');

function elegantwhite_comment($comment, $args, $depth) {
$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);

		if ( 'div' == $args['style'] ) {
			$tag = 'div';
			$add_below = 'comment';
		} else {
			$tag = 'div';
			$add_below = 'div-comment';
		}
?>
		<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
		<?php if ( 'div' != $args['style'] ) : ?>
		<div class="comment">
		<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
		<?php endif; ?>
		
	
		
		<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		<div class="comment-box">
		<div class="comment-name"><?php printf(__('%s', 'elegantwhite'), get_comment_author_link()) ?> </div>
		<div class="comment-date"><?php
				/* translators: 1: date, 2: time */
				printf( __('%1$s at %2$s', 'elegantwhite'), get_comment_date(),  get_comment_time()) ?></div>
				<div class="comment-line"></div>


		<div class="comment-text">
		<?php if ($comment->comment_approved == '0') : ?>
		<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.', 'elegantwhite') ?></em></br>
		<?php endif; ?>
		
		<?php comment_text() ?>
		
		<div class="comment-reply">
		<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?> <?php edit_comment_link( __('[Edit]', 'elegantwhite'),'','' );
			?></div>


		</div></div></div></div>

				<?php if ( 'div' != $args['style'] ) : ?>
		</div><div style="clear:both;"></div>
		<?php endif; 
}


// Create Theme Options

add_action('admin_menu', 'elegantwhite_create_menu');

function elegantwhite_create_menu() {
  add_theme_page('elegantWhite Settings', 'elegantWhite Options', 'edit_theme_options', 'themeoptions', 'elegantwhite_settings_page');
  add_theme_page('<div class="elegantwhite-upgrade"><b>Ready to go Pro?</b></div>', '<div class="elegantwhite-upgrade"><b>Ready to go Pro?</b></div>', 'edit_theme_options', 'fimplyupgrade', 'elegantwhite_upgrade');
  add_action( 'admin_init', 'elegantwhite_register_settings' );
}



add_action('elegantwhite_body', 'elegantwhite_upgrade');
function elegantwhite_upgrade() {
	locate_template( array( '/inc/upgrade.php' ), true );
}

add_action( 'admin_init', 'elegantwhite_theme_options' );
function elegantwhite_register_settings() {
	register_setting( 'elegantwhite-settings-group', 'new_option_name' );
	register_setting( 'elegantwhite-settings-group', 'some_other_option' );
	register_setting( 'elegantwhite-settings-group', 'option_etc' );
}


function elegantwhite_theme_options(){
	register_setting( 'elegantwhite_options', 'elegantwhite_options', 'elegantwhite_validate_options' );
}


function elegantwhite_settings_page() {
	global $select_options, $radio_options;
if ( ! isset( $_REQUEST['settings-updated'] ) )
	$_REQUEST['settings-updated'] = false;
?>

<?php locate_template( array( '/inc/theme-options.php' ), true ); ?>
 

<?php } function elegantwhite_validate_options( $input ) {

if ( ! isset( $input['top_line'] ) )
		$input['top_line'] = null;
	$input['top_line'] = ( $input['top_line'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['post-navi'] ) )
		$input['post-navi'] = null;
	$input['post-navi'] = ( $input['post-navi'] == 1 ? 1 : 0 );

if ( ! isset( $input['search_ac'] ) )
		$input['search_ac'] = null;
	$input['search_ac'] = ( $input['search_ac'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['lines_ac'] ) )
		$input['lines_ac'] = null;
	$input['lines_ac'] = ( $input['lines_ac'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['author-box'] ) )
		$input['author-box'] = null;
	$input['author-box'] = ( $input['author-box'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['show-tags'] ) )
		$input['show-tags'] = null;
	$input['show-tags'] = ( $input['show-tags'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['show-categories'] ) )
		$input['show-categories'] = null;
	$input['show-categories'] = ( $input['show-categories'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['pub-date'] ) )
		$input['pub-date'] = null;
	$input['pub-date'] = ( $input['pub-date'] == 1 ? 1 : 0 );
	
if ( ! isset( $input['pub-date-full'] ) )
		$input['pub-date-full'] = null;
	$input['pub-date-full'] = ( $input['pub-date-full'] == 1 ? 1 : 0 );

$input['bild_text'] = esc_attr( $input['bild_text'] );
$input['footer_text'] = esc_attr( $input['footer_text'] );

return $input;
} ?>